Package org.eclipse.graphiti.mm.algorithms.styles.impl

## Class AbstractStyleImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.algorithms.styles.impl.AbstractStyleImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `AbstractStyle`

    public abstract class AbstractStyleImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements AbstractStyle

An implementation of the model object 'Abstract Style'.

The following features are implemented:

- `Background`
- `Foreground`
- `Line Width`
- `Line Style`
- `Filled`
- `Line Visible`
- `Rendering Style`
- `Transparency`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected Color` `background` The cached value of the '`Background`' reference.
`protected java.lang.Boolean` `filled` The cached value of the '`Filled`' attribute.
`protected static java.lang.Boolean` `FILLED_EDEFAULT` The default value of the '`Filled`' attribute.
`protected boolean` `filledESet` This is true if the Filled attribute has been set.
`protected Color` `foreground` The cached value of the '`Foreground`' reference.
`protected static LineStyle` `LINE_STYLE_EDEFAULT` The default value of the '`Line Style`' attribute.
`protected static java.lang.Boolean` `LINE_VISIBLE_EDEFAULT` The default value of the '`Line Visible`' attribute.
`protected static java.lang.Integer` `LINE_WIDTH_EDEFAULT` The default value of the '`Line Width`' attribute.
`protected LineStyle` `lineStyle` The cached value of the '`Line Style`' attribute.
`protected java.lang.Boolean` `lineVisible` The cached value of the '`Line Visible`' attribute.
`protected boolean` `lineVisibleESet` This is true if the Line Visible attribute has been set.
`protected java.lang.Integer` `lineWidth` The cached value of the '`Line Width`' attribute.
`protected RenderingStyle` `renderingStyle` The cached value of the '`Rendering Style`' containment reference.
`protected java.lang.Double` `transparency` The cached value of the '`Transparency`' attribute.
`protected static java.lang.Double` `TRANSPARENCY_EDEFAULT` The default value of the '`Transparency`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `AbstractStyleImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `basicGetBackground()`
`Color` `basicGetForeground()`
`RenderingStyle` `basicGetRenderingStyle()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetRenderingStyle​(RenderingStyle newRenderingStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`Color` `getBackground()`
`java.lang.Boolean` `getFilled()`
`Color` `getForeground()`
`LineStyle` `getLineStyle()`
`java.lang.Boolean` `getLineVisible()`
`java.lang.Integer` `getLineWidth()`
`RenderingStyle` `getRenderingStyle()`
`java.lang.Double` `getTransparency()`
`boolean` `isSetFilled()`
`boolean` `isSetLineVisible()`
`void` `setBackground​(Color newBackground)`
`void` `setFilled​(java.lang.Boolean newFilled)`
`void` `setForeground​(Color newForeground)`
`void` `setLineStyle​(LineStyle newLineStyle)`
`void` `setLineVisible​(java.lang.Boolean newLineVisible)`
`void` `setLineWidth​(java.lang.Integer newLineWidth)`
`void` `setRenderingStyle​(RenderingStyle newRenderingStyle)`
`void` `setTransparency​(java.lang.Double newTransparency)`
`java.lang.String` `toString()`
`void` `unsetFilled()`
`void` `unsetLineVisible()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### background

    protected Color background

The cached value of the '`Background`' reference.

See Also:
  `getBackground()`

#### foreground

    protected Color foreground

The cached value of the '`Foreground`' reference.

See Also:
  `getForeground()`

#### LINE_WIDTH_EDEFAULT

    protected static final java.lang.Integer LINE_WIDTH_EDEFAULT

The default value of the '`Line Width`' attribute.

See Also:
  `getLineWidth()`

#### lineWidth

    protected java.lang.Integer lineWidth

The cached value of the '`Line Width`' attribute.

See Also:
  `getLineWidth()`

#### LINE_STYLE_EDEFAULT

    protected static final LineStyle LINE_STYLE_EDEFAULT

The default value of the '`Line Style`' attribute.

See Also:
  `getLineStyle()`

#### lineStyle

    protected LineStyle lineStyle

The cached value of the '`Line Style`' attribute.

See Also:
  `getLineStyle()`

#### FILLED_EDEFAULT

    protected static final java.lang.Boolean FILLED_EDEFAULT

The default value of the '`Filled`' attribute.

See Also:
  `getFilled()`

#### filled

    protected java.lang.Boolean filled

The cached value of the '`Filled`' attribute.

See Also:
  `getFilled()`

#### filledESet

    protected boolean filledESet

This is true if the Filled attribute has been set.

#### LINE_VISIBLE_EDEFAULT

    protected static final java.lang.Boolean LINE_VISIBLE_EDEFAULT

The default value of the '`Line Visible`' attribute.

See Also:
  `getLineVisible()`

#### lineVisible

    protected java.lang.Boolean lineVisible

The cached value of the '`Line Visible`' attribute.

See Also:
  `getLineVisible()`

#### lineVisibleESet

    protected boolean lineVisibleESet

This is true if the Line Visible attribute has been set.

#### renderingStyle

    protected RenderingStyle renderingStyle

The cached value of the '`Rendering Style`' containment reference.

See Also:
  `getRenderingStyle()`

#### TRANSPARENCY_EDEFAULT

    protected static final java.lang.Double TRANSPARENCY_EDEFAULT

The default value of the '`Transparency`' attribute.

See Also:
  `getTransparency()`

#### transparency

    protected java.lang.Double transparency

The cached value of the '`Transparency`' attribute.

See Also:
  `getTransparency()`

### Constructor Detail

#### AbstractStyleImpl

    protected AbstractStyleImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getBackground

    public Color getBackground()

Specified by:
  `getBackground` in interface `AbstractStyle`
Returns:
  the value of the 'Background' reference.
See Also:
  `AbstractStyle.setBackground(Color)`, `StylesPackage.getAbstractStyle_Background()`

#### basicGetBackground

    public Color basicGetBackground()

#### setBackground

    public void setBackground​(Color newBackground)

Specified by:
  `setBackground` in interface `AbstractStyle`
Parameters:
  `newBackground` - the new value of the 'Background' reference.
See Also:
  `AbstractStyle.getBackground()`

#### getForeground

    public Color getForeground()

Specified by:
  `getForeground` in interface `AbstractStyle`
Returns:
  the value of the 'Foreground' reference.
See Also:
  `AbstractStyle.setForeground(Color)`, `StylesPackage.getAbstractStyle_Foreground()`

#### basicGetForeground

    public Color basicGetForeground()

#### setForeground

    public void setForeground​(Color newForeground)

Specified by:
  `setForeground` in interface `AbstractStyle`
Parameters:
  `newForeground` - the new value of the 'Foreground' reference.
See Also:
  `AbstractStyle.getForeground()`

#### getLineWidth

    public java.lang.Integer getLineWidth()

Specified by:
  `getLineWidth` in interface `AbstractStyle`
Returns:
  the value of the 'Line Width' attribute.
See Also:
  `AbstractStyle.setLineWidth(Integer)`, `StylesPackage.getAbstractStyle_LineWidth()`

#### setLineWidth

    public void setLineWidth​(java.lang.Integer newLineWidth)

Specified by:
  `setLineWidth` in interface `AbstractStyle`
Parameters:
  `newLineWidth` - the new value of the 'Line Width' attribute.
See Also:
  `AbstractStyle.getLineWidth()`

#### getLineStyle

    public LineStyle getLineStyle()

Specified by:
  `getLineStyle` in interface `AbstractStyle`
Returns:
  the value of the 'Line Style' attribute.
See Also:
  `LineStyle`, `AbstractStyle.setLineStyle(LineStyle)`, `StylesPackage.getAbstractStyle_LineStyle()`

#### setLineStyle

    public void setLineStyle​(LineStyle newLineStyle)

Specified by:
  `setLineStyle` in interface `AbstractStyle`
Parameters:
  `newLineStyle` - the new value of the 'Line Style' attribute.
See Also:
  `LineStyle`, `AbstractStyle.getLineStyle()`

#### getFilled

    public java.lang.Boolean getFilled()

Specified by:
  `getFilled` in interface `AbstractStyle`
Returns:
  the value of the 'Filled' attribute.
See Also:
  `AbstractStyle.isSetFilled()`, `AbstractStyle.unsetFilled()`, `AbstractStyle.setFilled(Boolean)`, `StylesPackage.getAbstractStyle_Filled()`

#### setFilled

    public void setFilled​(java.lang.Boolean newFilled)

Specified by:
  `setFilled` in interface `AbstractStyle`
Parameters:
  `newFilled` - the new value of the 'Filled' attribute.
See Also:
  `AbstractStyle.isSetFilled()`, `AbstractStyle.unsetFilled()`, `AbstractStyle.getFilled()`

#### unsetFilled

    public void unsetFilled()

Specified by:
  `unsetFilled` in interface `AbstractStyle`
See Also:
  `AbstractStyle.isSetFilled()`, `AbstractStyle.getFilled()`, `AbstractStyle.setFilled(Boolean)`

#### isSetFilled

    public boolean isSetFilled()

Specified by:
  `isSetFilled` in interface `AbstractStyle`
Returns:
  whether the value of the 'Filled' attribute is set.
See Also:
  `AbstractStyle.unsetFilled()`, `AbstractStyle.getFilled()`, `AbstractStyle.setFilled(Boolean)`

#### getLineVisible

    public java.lang.Boolean getLineVisible()

Specified by:
  `getLineVisible` in interface `AbstractStyle`
Returns:
  the value of the 'Line Visible' attribute.
See Also:
  `AbstractStyle.isSetLineVisible()`, `AbstractStyle.unsetLineVisible()`, `AbstractStyle.setLineVisible(Boolean)`, `StylesPackage.getAbstractStyle_LineVisible()`

#### setLineVisible

    public void setLineVisible​(java.lang.Boolean newLineVisible)

Specified by:
  `setLineVisible` in interface `AbstractStyle`
Parameters:
  `newLineVisible` - the new value of the 'Line Visible' attribute.
See Also:
  `AbstractStyle.isSetLineVisible()`, `AbstractStyle.unsetLineVisible()`, `AbstractStyle.getLineVisible()`

#### unsetLineVisible

    public void unsetLineVisible()

Specified by:
  `unsetLineVisible` in interface `AbstractStyle`
See Also:
  `AbstractStyle.isSetLineVisible()`, `AbstractStyle.getLineVisible()`, `AbstractStyle.setLineVisible(Boolean)`

#### isSetLineVisible

    public boolean isSetLineVisible()

Specified by:
  `isSetLineVisible` in interface `AbstractStyle`
Returns:
  whether the value of the 'Line Visible' attribute is set.
See Also:
  `AbstractStyle.unsetLineVisible()`, `AbstractStyle.getLineVisible()`, `AbstractStyle.setLineVisible(Boolean)`

#### getRenderingStyle

    public RenderingStyle getRenderingStyle()

Specified by:
  `getRenderingStyle` in interface `AbstractStyle`
Returns:
  the value of the 'Rendering Style' containment reference.
See Also:
  `AbstractStyle.setRenderingStyle(RenderingStyle)`, `StylesPackage.getAbstractStyle_RenderingStyle()`

#### basicGetRenderingStyle

    public RenderingStyle basicGetRenderingStyle()

#### basicSetRenderingStyle

    public org.eclipse.emf.common.notify.NotificationChain basicSetRenderingStyle​(RenderingStyle newRenderingStyle,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

#### setRenderingStyle

    public void setRenderingStyle​(RenderingStyle newRenderingStyle)

Specified by:
  `setRenderingStyle` in interface `AbstractStyle`
Parameters:
  `newRenderingStyle` - the new value of the 'Rendering Style' containment reference.
See Also:
  `AbstractStyle.getRenderingStyle()`

#### getTransparency

    public java.lang.Double getTransparency()

Specified by:
  `getTransparency` in interface `AbstractStyle`
Returns:
  the value of the 'Transparency' attribute.
See Also:
  `AbstractStyle.setTransparency(Double)`, `StylesPackage.getAbstractStyle_Transparency()`

#### setTransparency

    public void setTransparency​(java.lang.Double newTransparency)

Specified by:
  `setTransparency` in interface `AbstractStyle`
Parameters:
  `newTransparency` - the new value of the 'Transparency' attribute.
See Also:
  `AbstractStyle.getTransparency()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`